# AesCipher | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- AesCipher

### Implemented by

- NodeCryptoAesCipher
- WebCryptoAesCipher

## Index

### Methods

- decrypt
- encrypt

## Methods

### decrypt

- decrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- - Defined in packages/encryption/src/aesCipher.ts:11

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

### encrypt

- encrypt(algorithm: CipherAlgorithm, key: Buffer, iv: Buffer, data: Buffer): Promise<Buffer>

- - Defined in packages/encryption/src/aesCipher.ts:9

  #### Parameters

  - ##### algorithm: CipherAlgorithm

  - ##### key: Buffer

  - ##### iv: Buffer

  - ##### data: Buffer

  #### Returns Promise<Buffer>

Generated using TypeDoc